## live-tools 20190831.1

=== manpages/Makefile ===
# Makefile

## live-tools(7) - System Support Scripts
## Copyright (C) 2006-2013 Daniel Baumann <mail@daniel-baumann.ch>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: check po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be obtained from:"; \
		echo "I:   http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with:"; \
		echo "I:   apt-get install po4a"; \
		exit 1; \
	fi

	po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-tools --package-version $(shell cat ../VERSION) po4a.cfg

clean:
	rm -rf $(LANGUAGES)

distclean: clean
	rm -f po4a.cfg

rebuild: distclean update build

check:
	@echo -n "Checking the integrity of .po files "

	@if [ -x /usr/bin/msgfmt ]; \
	then \
		for POFILE in po/*/*; \
		do \
			msgfmt --check --output-file=/dev/null $${POFILE}; \
			echo -n "."; \
		done; \
	else \
		echo "WARNING: skipping po integrity check. You must install gettext."; \
	fi
	
	@echo " done!"

=== debian/changelog ===
live-tools (1:20190831.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:16:19 +0200

=== debian/control ===
Source: live-tools
Section: misc
Priority: optional
Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>, Raphaël Hertzog <raphael@offensive-security.com>
Build-Depends:
 debhelper-compat (= 12),
Standards-Version: 4.4.0
Homepage: https://debian-live.alioth.debian.org/live-tools/
Vcs-Browser: https://salsa.debian.org/live-team/live-tools
Vcs-Git: https://salsa.debian.org/live-team/live-tools.git

Package: live-tools
Architecture: all
Depends:
 lsb-base,
 initramfs-tools,
 ${misc:Depends},
Suggests:
 debian-installer-launcher,
 eject,
 perl,
 procps,
 rsync,
 uuid-runtime,
Description: Live System Extra Components
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-tools contains extra components for live systems.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

	# Removing useless files
	rm -f debian/live-tools/usr/share/doc/live-tools/COPYING

override_dh_installinit:
	dh_installinit --no-stop-on-upgrade --no-start --update-rcd-params='start 89 0 6 .'

## live-tools 20240525

=== manpages/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # Makefile
 
 ## live-tools(7) - System Support Scripts
+## Copyright (C) 2016-2020 The Debian Live team
 ## Copyright (C) 2006-2013 Daniel Baumann <mail@daniel-baumann.ch>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
@@ -38,7 +39,7 @@
 		exit 1; \
 	fi
 
-	po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-tools --package-version $(shell cat ../VERSION) po4a.cfg
+	po4a --copyright-holder "Debian Live Project" --keep 0 --package-name live-tools --package-version $(shell cat ../VERSION) po4a.cfg
 
 clean:
 	rm -rf $(LANGUAGES)

=== debian/changelog ===
live-tools (1:20240525) unstable; urgency=medium

  [ Juergen Fiedler ]
  * Fix the check for executable rsync.
  * Fix check for live media to unmount.
  * Unmount live media from all mount points

  [ Lyndon Brown ]
  * amend copyright,urls
  * "Live Systems" -> "Debian Live"

  [ Raphaël Hertzog ]
  * Drop Iain R. Learmonth from Uploaders on his request (Closes: #970286)

  [ Adam Vodopjan ]
  * Fix typo in a kernel parameter name (Closes: #1028627)

  [ Luca Boccassi ]
  * Bump debhelper-compat to 13
  * Add myself as maintainer
  * d/control: bump Standards-Version to 4.7.0, no changes
  * Use a mask instead of a stub unit file to hide generated initrd
    service
  * Install files to /usr/
  * Drop dependency on obsolete lsb-base

  [ Steven Shiau ]
  * Make live-medium-eject work for systemd >= 253.

 -- Luca Boccassi <bluca@debian.org>  Sat, 25 May 2024 12:50:57 +0100

=== debian/control ===
Source: live-tools
Section: misc
Priority: optional
Maintainer: Debian Live Maintainers <debian-live@lists.debian.org>
Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
           Luca Boccassi <bluca@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://wiki.debian.org/DebianLive
Vcs-Browser: https://salsa.debian.org/live-team/live-tools
Vcs-Git: https://salsa.debian.org/live-team/live-tools.git

Package: live-tools
Architecture: all
Depends:
 initramfs-tools,
 ${misc:Depends},
Suggests:
 debian-installer-launcher,
 eject,
 perl,
 procps,
 rsync,
 uuid-runtime,
Description: Live System Extra Components
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-tools contains extra components for live systems.

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,7 @@
 %:
 	dh $@
 
-override_dh_auto_install:
-	dh_auto_install
-
+execute_after_dh_auto_install:
 	# Removing useless files
 	rm -f debian/live-tools/usr/share/doc/live-tools/COPYING

## live-tools 20240525build1

=== debian/changelog ===
live-tools (1:20240525build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 12:36:11 +0000
